# CEGUI::_refBinder< Functor, Ret, Args > Class Template Reference

This class binds a const reference to a generalized functor. Sometimes it may not be appropriate for the functor to be cloned. In which case, use SubscriberRef() (which uses this). More...

Inheritance diagram for CEGUI::_refBinder< Functor, Ret, Args >:

[legend]
Collaboration diagram for CEGUI::_refBinder< Functor, Ret, Args >:

[legend]
List of all members.

## Public Member Functions

virtual Ret | operator() (Args args) const
| _refBinder (const Functor &f)

## Protected Attributes

const Functor & | d_f

## Detailed Description

### template<class Functor, typename Ret, typename Args>
class CEGUI::_refBinder< Functor, Ret, Args >

This class binds a const reference to a generalized functor. Sometimes it may not be appropriate for the functor to be cloned. In which case, use SubscriberRef() (which uses this).